<div class="m-get-started" [class.-has-margin]="hasMargin">
  <ng-content></ng-content>
  <ng-container *ngIf="householdCode && householdName; else isLoading">
    <h2 [class.no-margin]="!canUseShareApi()">
      <button
        class="a-neutral-button -no-hover a-tooltip -no-hover"
        [class.-open]="copiedToClipboardTooltipVisible$ | async"
        (click)="copyToClipboard(householdCode)"
      >
        {{ householdCode }} <mat-icon>file_copy</mat-icon>
        <span class="a-tooltip__text">Code gekopieërd</span>
      </button>
    </h2>
    <p class="m-get-started__icon" *ngIf="canUseShareApi()">
      <strong>{{ createCurrentShareUrl(householdCode) }}</strong>
      <button
        class="a-neutral-button"
        (click)="shareHousehold(householdCode, householdName)"
      >
        <mat-icon>share</mat-icon>
      </button>
    </p>
  </ng-container>
  <ng-template #isLoading>
    <div
      class="m-get-started__copy-code-loading"
      [class.-no-margin]="!canUseShareApi()"
    ></div>
    <div class="m-get-started__share-loading" *ngIf="canUseShareApi()"></div>
  </ng-template>
</div>
